Subject: Re: macvlan: fix gso_max_size setting

From: Patrick McHardy <[email-masked]>
Date: Tue, 24 Nov 2009 11:57:29 +0100

Herbert Xu wrote:
> On Mon, Nov 23, 2009 at 11:33:05PM +0100, Patrick McHardy wrote:
>> Perhaps we should simply fall back to software in that case.
>> Compile tested only.
> 
> Sure.
> 
> Since ixgbe appears to be the only driver in our entire tree
> that has this limitation, I think it might make more sense to
> move this special-case check into it and get it to do software
> GSO just like tg3 does for a few other cases that the hardware
> can't handle.

Sure, that would also be fine. I'll leave that for the Intel
guys however :)